Summary:  A System for Allowing the Control of Process State on UNIX
Name: supervisor
Version: 4.2.5
Release: %mkrel 4

License: Zope Public License
Group: System/Base
URL: http://supervisord.org/
Source0: https://pypi.io/packages/source/s/%{name}/%{name}-%{version}%{?prever}.tar.gz
Source1: supervisord.service
Source2: supervisord.conf
Source3: supervisor.logrotate
Source4: supervisor.tmpfiles
BuildArch: noarch
BuildRequires:  python3-devel
BuildRequires:  systemd-units

Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units


%description
The supervisor is a client/server system that allows its users to control a
number of processes on UNIX-like operating systems.

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files supervisor

mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_sysconfdir}/supervisord.d
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d/
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_localstatedir}/log/%{name}
chmod 770 %{buildroot}%{_localstatedir}/log/%{name}
install -p -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/supervisord.service
install -p -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/supervisord.conf
install -p -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/supervisor
install -D -p -m 0644 %{SOURCE4} %{buildroot}%{_tmpfilesdir}/%{name}.conf
sed -i s'/^#!.*//' $( find %{buildroot}%{python3_sitelib}/supervisor/ -type f)

rm -rf %{buildroot}%{python3_sitelib}/supervisor/meld3/
rm -f %{buildroot}%{_prefix}/doc/*.txt

%post
%_tmpfilescreate %{name}
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
# Don't restart supervisord here, we don't want its children to be restarted
# when the supervisor package is upgraded. Admins need to manually reload or
# restart supervisord.service.
%systemd_postun %{name}.service

%files -f %{pyproject_files}
%doc CHANGES.rst README.rst
%license COPYRIGHT.txt LICENSES.txt
%dir %{_localstatedir}/log/%{name}
%{_unitdir}/supervisord.service
%{_bindir}/supervisor*
%{_bindir}/echo_supervisord_conf
%{_bindir}/pidproxy

%{_tmpfilesdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/supervisord.conf
%dir %{_sysconfdir}/supervisord.d
%config(noreplace) %{_sysconfdir}/logrotate.d/supervisor



%changelog
* Sun Jul 06 2025 umeabot <umeabot> 4.2.5-4.mga10
+ Revision: 2247530
- Mageia 10 Mass Rebuild

* Wed Mar 12 2025 papoteur <papoteur> 4.2.5-3.mga10
+ Revision: 2162968
- rebuiuld for python3.13
- remove requirement no more provided meld3

* Thu Jan 11 2024 papoteur <papoteur> 4.2.5-2.mga10
+ Revision: 2029899
- rebuild for python 3.12
- use pyproject macros

* Mon Feb 20 2023 daviddavid <daviddavid> 4.2.5-1.mga9
+ Revision: 1944184
- new version: 4.2.5

* Thu Mar 24 2022 umeabot <umeabot> 4.2.1-4.mga9
+ Revision: 1824774
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tmb <tmb> 4.2.1-3.mga9
+ Revision: 1774927
- rebuild for python 3.10

* Wed Mar 24 2021 tv <tv> 4.2.1-2.mga9
+ Revision: 1708768
- rebuild for python 3.9

* Mon Nov 23 2020 daviddavid <daviddavid> 4.2.1-1.mga8
+ Revision: 1648624
- new version: 4.2.1

* Fri May 01 2020 daviddavid <daviddavid> 4.2.0-1.mga8
+ Revision: 1577498
- new version: 4.2.0

* Fri May 01 2020 daviddavid <daviddavid> 4.1.0-1.mga8
+ Revision: 1577471
- new version: 4.1.0

* Sun Feb 16 2020 umeabot <umeabot> 4.0.4-2.mga8
+ Revision: 1534291
- Mageia 8 Mass Rebuild

* Thu Oct 03 2019 daviddavid <daviddavid> 4.0.4-1.mga8
+ Revision: 1448965
- new version: 4.0.4
- updated /var/run to /run temporary dir

* Wed Sep 25 2019 daviddavid <daviddavid> 4.0.2-1.mga8
+ Revision: 1445949
- new version: 4.0.2
- port to Python 3

* Fri Sep 21 2018 umeabot <umeabot> 3.3.4-2.mga7
+ Revision: 1291727
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 kekepower <kekepower> 3.3.4-1.mga7
+ Revision: 1221974
- Update to version 3.3.4

* Wed Aug 09 2017 neoclust <neoclust> 3.3.3-1.mga7
+ Revision: 1139269
- New version 3.3.3 ( Fixes CVE-2017-11610 (mga#21477))
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Nov 25 2015 daviddavid <daviddavid> 3.1.3-1.mga6
+ Revision: 905999
- new version: 3.1.3
- use new python macros

* Wed Oct 21 2015 tv <tv> 3.0-2.mga6
+ Revision: 893843
- fix recreate_srpm faillure (aka bogus trigger that never worked)

* Fri Nov 14 2014 juancho <juancho> 3.0-2.mga5
+ Revision: 797284
- Fixed license and removed post Requires on systemd and chkconfig.

* Fri Nov 14 2014 juancho <juancho> 3.0-1.mga5
+ Revision: 797272
- imported package supervisor


* Thu Aug 01 2013 Nils Philippsen <nils@redhat.com> - 3.0-1
- version 3.0 (final)
- fix changelog dates

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.11.a12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Sep 01 2012 Nils Philippsen <nils@redhat.com> - 3.0-0.10.a12
- add [Install] section to service file, so systemctl can enable it

* Tue Aug 21 2012 Nils Philippsen <nils@redhat.com> - 3.0-0.9.a12
- use systemd macros from F-18/RHEL-7 on
- use %%{_unitdir} macro for systemd unit paths

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.8.a12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jan 10 2012 Nils Philippsen <nils@redhat.com> - 3.0-0.7.a12
- version 3.0a12

* Tue Aug 02 2011 Nils Philippsen <nils@redhat.com> - 3.0-0.6.a10
- add native systemd support

* Mon Aug 01 2011 Nils Philippsen <nils@redhat.com> - 3.0-0.5.a10
- require python-setuptools (#725191)

* Tue Apr 05 2011 Nils Philippsen <nils@redhat.com> - 3.0-0.4.a10
- version 3.0a10
- fix source URL
- don't use macros for system executables (except python)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.3.a8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 3.0-0.2.a8
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Apr 13 2010 Nils Philippsen <nils@redhat.com> - 3.0-0.1.a8
- add BR: python-setuptools

* Mon Apr 12 2010 Nils Philippsen <nils@redhat.com>
- bundle updated config file

* Sat Apr 10 2010 Nils Philippsen <nils@redhat.com>
- version 3.0a8
- update URLs
- versionize python-meld3 dependency

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.1-6
- Rebuild for Python 2.6

* Sat Sep  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.1-5
- fix license tag

* Mon Jan 07 2008 Toshio Kuratomi <toshio@fedoraproject.org>  2.1-4
- Include egginfo files when python generates them.

* Sun Apr 22 2007 Mike McGrath <mmcgrath@redhat.com> 2.1-3
- Added BuildRequires of python-devel

* Fri Apr 20 2007 Mike McGrath <mmcgrath@redhat.com> 2.1-2
- Added patch suggested in #153225

* Fri Apr 20 2007 Mike McGrath <mmcgrath@redhat.com> 2.1-1
- Initial packaging

